Bug 1281919 - [abrt] webkitgtk4: WebKit::NPN_InvokeDefault(NPP, NPObject*, NPVariant const*, uint32_t, NPVariant*)(): WebKitPluginProcess killed by SIGSEGV
[abrt] webkitgtk4: WebKit::NPN_InvokeDefault(NPP, NPObject*, NPVariant const*...
Status: CLOSED DUPLICATE of bug 1147314
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2b20d418fc7137f06bcef76638a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 14:49 EST by Christian Stadelmann
Modified: 2015-11-16 10:53 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-16 10:53:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (50.64 KB, text/plain)
2015-11-13 14:49 EST, Christian Stadelmann
no flags Details
File: core_backtrace (5.30 KB, text/plain)
2015-11-13 14:50 EST, Christian Stadelmann
no flags Details
File: dso_list (12.33 KB, text/plain)
2015-11-13 14:50 EST, Christian Stadelmann
no flags Details
File: exploitable (100 bytes, text/plain)
2015-11-13 14:50 EST, Christian Stadelmann
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-13 14:50 EST, Christian Stadelmann
no flags Details
File: maps (56.23 KB, text/plain)
2015-11-13 14:50 EST, Christian Stadelmann
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-13 14:50 EST, Christian Stadelmann
no flags Details
File: open_fds (1.18 KB, text/plain)
2015-11-13 14:50 EST, Christian Stadelmann
no flags Details
File: proc_pid_status (1021 bytes, text/plain)
2015-11-13 14:50 EST, Christian Stadelmann
no flags Details

  None (edit)
Description Christian Stadelmann 2015-11-13 14:49:54 EST
Description of problem:
I was browsing extensions.gnome.org/local and tried to update the extension "TopIcons". Then I got the message that webkit crashed. Epiphany kept running but was unusable and had to be killed.

Version-Release number of selected component:
webkitgtk4-2.10.4-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitPluginProcess 23 /usr/lib64/mozilla/plugins/libgnome-shell-browser-plugin.so
crash_function: WebKit::NPN_InvokeDefault(NPP, NPObject*, NPVariant const*, uint32_t, NPVariant*)
executable:     /usr/libexec/webkit2gtk-4.0/WebKitPluginProcess
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 WebKit::NPN_InvokeDefault(NPP, NPObject*, NPVariant const*, uint32_t, NPVariant*) at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/WebProcess/Plugins/Netscape/NetscapeBrowserFuncs.cpp:702
 #1 on_shell_signal at browser-plugin.c:306
 #2 ffi_call_unix64 at ../src/x86/unix64.S:76
 #3 ffi_call at ../src/x86/ffi64.c:525
Comment 1 Christian Stadelmann 2015-11-13 14:49:59 EST
Created attachment 1093816 [details]
File: backtrace
Comment 2 Christian Stadelmann 2015-11-13 14:50:00 EST
Created attachment 1093817 [details]
File: core_backtrace
Comment 3 Christian Stadelmann 2015-11-13 14:50:02 EST
Created attachment 1093818 [details]
File: dso_list
Comment 4 Christian Stadelmann 2015-11-13 14:50:03 EST
Created attachment 1093819 [details]
File: exploitable
Comment 5 Christian Stadelmann 2015-11-13 14:50:05 EST
Created attachment 1093820 [details]
File: limits
Comment 6 Christian Stadelmann 2015-11-13 14:50:07 EST
Created attachment 1093821 [details]
File: maps
Comment 7 Christian Stadelmann 2015-11-13 14:50:08 EST
Created attachment 1093822 [details]
File: namespaces
Comment 8 Christian Stadelmann 2015-11-13 14:50:09 EST
Created attachment 1093823 [details]
File: open_fds
Comment 9 Christian Stadelmann 2015-11-13 14:50:11 EST
Created attachment 1093824 [details]
File: proc_pid_status
Comment 10 Michael Catanzaro 2015-11-13 18:19:53 EST
Should be fixed in https://bodhi.fedoraproject.org/updates/FEDORA-2015-2e33c48936
Comment 11 Christian Stadelmann 2015-11-15 05:46:17 EST
Sorry, this issue is still present after an update to gnome-shell 3.18.2.

With `GDK_BACKEND=x11 epiphany` I get the crasher after the extension is successfully updated/installed. With wayland GDK Backend (default under Gnome+Wayland) the plugin isn't even loaded.
Comment 12 Michael Catanzaro 2015-11-16 10:51:26 EST
(In reply to Christian Stadelmann from comment #11)
> Sorry, this issue is still present after an update to gnome-shell 3.18.2.
>
> With `GDK_BACKEND=x11 epiphany` I get the crasher after the extension is
> successfully updated/installed.

Hm, that's unfortunate, thanks for testing....

> With wayland GDK Backend (default under
> Gnome+Wayland) the plugin isn't even loaded.

We currently have no plans to support plugins under Wayland. Most interesting plugins could never run under Wayland anyway.
Comment 13 Michael Catanzaro 2015-11-16 10:53:37 EST

*** This bug has been marked as a duplicate of bug 1147314 ***

Note You need to log in before you can comment on or make changes to this bug.